> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coverwhale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a password reset Token

> Request a password reset token for the provide username. The reset token will be emailed to the username/email if found.



## OpenAPI

````yaml get /password-reset
openapi: 3.0.0
info:
  title: Cover Whale API V1
  contact:
    name: Cover Whale API Team
  version: '1.0'
servers:
  - url: https://api.coverwhale.dev/v1
security:
  - AccessToken: []
tags:
  - name: Authentication
    description: Authenticating & Interacting with the API
paths:
  /password-reset:
    get:
      tags:
        - Authentication
      summary: Get a password reset Token
      description: >-
        Request a password reset token for the provide username. The reset token
        will be emailed to the username/email if found.
      operationId: getPasswordReset
      parameters:
        - name: username
          in: query
          required: true
          schema:
            type: string
          example: api_user
      responses:
        '200':
          description: Authentication Success
          content:
            application/json:
              example: >-
                Auth Success: Password Reset Initiated. Please Execute POST with
                provided reset code.
              schema:
                type: string
        '400':
          description: Authentication Error
          content:
            application/json:
              example: 'Auth Error: User does not exist.'
              schema:
                type: string
components:
  securitySchemes:
    AccessToken:
      type: apiKey
      description: >-
        AWS Cognito access token obtained from the /authentication endpoint.
        Token expires after 3600 seconds.
      name: AccessToken
      in: header

````